mailman-api_0.2.9-2_all.deb


Advertisement

Description

mailman-api - REST API daemon to interact with Mailman 2

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename mailman-api_0.2.9-2_all.deb
Package name mailman-api
Package version 0.2.9
Package release 2
Package architecture all
Package type deb
Category universe/python
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.59 KB
Installed size 45.00 KB
mailman-api provides a daemon that will listen to HTTP requests,
providing access to a REST API that can be used to interact with a
locally-installed Mailman instance.

Alternatives

Package Version Architecture Repository
mailman-api_0.2.9-2_all.deb 0.2.9 all Ubuntu Universe
mailman-api - - -

Requires

Name Value
lsb-base -
mailman -
python-bottle -
python-paste -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mailman-api_0.2.9-2_all.deb
Source Package mailman-api

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mailman-api deb package:
    # sudo apt-get install mailman-api

Files

Path
/etc/default/mailman-api
/etc/init.d/mailman-api
/usr/bin/mailman-api
/usr/lib/python2.7/dist-packages/mailman_api-0.2.9.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/mailman_api-0.2.9.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/mailman_api-0.2.9.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/mailman_api-0.2.9.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/mailmanapi/__init__.py
/usr/lib/python2.7/dist-packages/mailmanapi/api.py
/usr/lib/python2.7/dist-packages/mailmanapi/members.py
/usr/lib/python2.7/dist-packages/mailmanapi/utils.py
/usr/lib/python2.7/dist-packages/mailmanapi/templates/message.tpl
/usr/share/doc/mailman-api/changelog.Debian.gz
/usr/share/doc/mailman-api/copyright
/usr/share/man/man1/mailman-api.1.gz

Changelog

2017-08-23 - Antonio Terceiro <terceiro@debian.org>
mailman-api (0.2.9-2) unstable; urgency=medium
* debian/control, debian/copyright: wrap-and-sort
* Drop usage of debdry
* Set Vcs-* to point to collab-maint/mailman-api
* Add dependency on lsb-base
* Orphan package (see #873018)
2014-10-23 - Antonio Terceiro <terceiro@debian.org>
mailman-api (0.2.9-1) unstable; urgency=medium
* New upstream release
- runs the daemon as the same user as mailman (list in Debian)
* add a simple DEP-8 smoke test
2014-10-16 - Antonio Terceiro <terceiro@debian.org>
mailman-api (0.2.7-1) unstable; urgency=medium
* Initial release. (Closes: #765382)

See Also

Package Description
mailman3-doc_3.1.1-9_all.deb Mailing list management system documentation
mailman3-full_3.1.1-9_all.deb Full Mailman3 mailing list management suite (metapackage)
mailman3-web_0+20170523-14_all.deb Django project integrating Mailman3 Postorius and HyperKitty
mailman3_3.1.1-9_all.deb Mailing list management system
mailnag_1.2.1-1.1_all.deb extensible mail notification daemon
mailping_0.0.4ubuntu5+really0.0.4-3ubuntu1_all.deb monitor email service availability and functioning
mailplate_0.2-1_all.deb reformat mail drafts according to templates
mailsync_5.2.2-3.1build1_amd64.deb Synchronize IMAP mailboxes
mailtextbody_0.1.3-2build2_amd64.deb tool to return the body of an email message
mailto_1.3.2-3build1_amd64.deb WWW Forms to Mail Gateway
mailutils-common_3.4-1_all.deb Common files for GNU mailutils
mailutils-comsatd_3.4-1_amd64.deb GNU mailutils-based comsatd daemon
mailutils-doc_3.4-1_all.deb Documentation files for GNU mailutils
mailutils-guile_3.4-1_amd64.deb GNU mailutils Guile interpreter and modules
mailutils-imap4d_3.4-1_amd64.deb GNU mailutils-based IMAP4 Daemon
Advertisement
Advertisement